#!/bin/bash
# This script should be run from bamboo to deploy a new version of the analytics-server to unicorn.
# It can also be run when provisioning a new analytics node in unicorn.

if [ -e .env/bin/fab ]; then
  echo "Python & fabric are already installed, no need to redo it"
else
  echo "Python & fabric need to be installed first"
  export TMPDIR=$HOME/tmp
  mkdir -p $TMPDIR
  virtualenv -p /usr/bin/python2.6 .env
  .env/bin/pip install fabric
fi

export PYTHONPATH=.

if [ -n "$1" ]; then
  echo "Installing analytics-server, overriding the environment to: $1"
else
  echo "Installing analytics-server, leaving it to detect the environment automatically"
fi

.env/bin/python2.6 install.py $1